### Hierarchy

- CreateAccountComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- accountTypes
- areaNames
- categories
- createForm
- genders
- matcher
- submitted

### Accessors

- createFormStub

### Methods

- ngOnInit
- onSubmit

## Constructors

### constructor

- new CreateAccountComponent(formBuilder: FormBuilder, locationService: LocationService, userService: UserService): CreateAccountComponent

- - Defined in src/app/pages/accounts/create-account/create-account.component.ts:21

  #### Parameters

  - ##### formBuilder: FormBuilder

  - ##### locationService: LocationService

  - ##### userService: UserService

  #### Returns CreateAccountComponent

## Properties

### accountTypes

accountTypes: string[]

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:20

### areaNames

areaNames: AreaName[]

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:19

### categories

categories: Category[]

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:18

### createForm

createForm: FormGroup

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:15

### genders

genders: string[]

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:21

### matcher

matcher: CustomErrorStateMatcher = ...

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:16

### submitted

submitted: boolean = false

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:17

## Accessors

### createFormStub

- get createFormStub(): any

- - Defined in src/app/pages/accounts/create-account/create-account.component.ts:61

  #### Returns any

## Methods

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/accounts/create-account/create-account.component.ts:29

  #### Returns Promise<void>

### onSubmit

- onSubmit(): void

- - Defined in src/app/pages/accounts/create-account/create-account.component.ts:65

  #### Returns void

Generated using TypeDoc